////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2006 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     Version: I.31
//  \   \         Application: netgen
//  /   /         Filename: caductr.v
// /___/   /\     Timestamp: Wed Jul 04 18:48:07 2007
// \   \  /  \ 
//  \___\/\___\
//             
// Command	: -intstyle ise -w -sim -ofmt verilog C:\Xilinx\projects\LRIT\_cg\caductr.ngc C:\Xilinx\projects\LRIT\_cg\caductr.v 
// Device	: 2s100pq208-5
// Input file	: C:/Xilinx/projects/LRIT/_cg/caductr.ngc
// Output file	: C:/Xilinx/projects/LRIT/_cg/caductr.v
// # of Modules	: 1
// Design Name	: caductr
// Xilinx        : C:\Xilinx
//             
// Purpose:    
//     This verilog netlist is a verification model and uses simulation 
//     primitives which may not represent the true implementation of the 
//     device, however the netlist is functionally correct and should not 
//     be modified. This file cannot be synthesized and should only be used 
//     with supported simulation tools.
//             
// Reference:  
//     Development System Reference Guide, Chapter 23
//     Synthesis and Simulation Design Guide, Chapter 6
//             
////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps

module caductr (
  sclr, aclr, ce, clk, q_thresh0, q
);
  input sclr;
  input aclr;
  input ce;
  input clk;
  output q_thresh0;
  output [13 : 0] q;
  
  // The synopsys directives "translate_off/translate_on" specified
  // below are supported by XST, FPGA Compiler II, Mentor Graphics and Synplicity
  // synthesis tools. Ensure they are correct for your synthesis tool(s)
  
  // synopsys translate_off
  
  wire \BU2/N87 ;
  wire \BU2/U0/_mux0002_map28 ;
  wire \BU2/U0/_mux0002_map21 ;
  wire \BU2/U0/_mux0002_map17 ;
  wire \BU2/U0/_mux0002_map14 ;
  wire \BU2/U0/_not0004 ;
  wire \BU2/U0/_not0004_map4 ;
  wire \BU2/U0/_not0004_map11 ;
  wire \BU2/U0/_not0004_map8 ;
  wire \BU2/U0/_not0004_map1 ;
  wire \BU2/U0/q_i_12_rt_2 ;
  wire \BU2/U0/q_i_11_rt_3 ;
  wire \BU2/U0/q_i_10_rt_4 ;
  wire \BU2/U0/q_i_9_rt_5 ;
  wire \BU2/U0/q_i_8_rt_6 ;
  wire \BU2/U0/q_i_7_rt_7 ;
  wire \BU2/U0/q_i_6_rt_8 ;
  wire \BU2/U0/q_i_5_rt_9 ;
  wire \BU2/U0/q_i_4_rt_10 ;
  wire \BU2/U0/q_i_3_rt_11 ;
  wire \BU2/U0/q_i_2_rt_12 ;
  wire \BU2/U0/q_i_1_rt_13 ;
  wire \BU2/U0/q_i_13_rt_14 ;
  wire \BU2/U0/_not0002 ;
  wire \BU2/U0/_mux0002 ;
  wire \BU2/N0 ;
  wire \BU2/q_thresh1 ;
  wire NLW_VCC_P_UNCONNECTED;
  wire NLW_GND_G_UNCONNECTED;
  wire [13 : 0] NlwRenamedSig_OI_q;
  wire [13 : 0] \BU2/U0/q_next ;
  wire [12 : 0] \BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple ;
  wire [0 : 0] \BU2/U0/the_addsub/no_pipelining.the_addsub/halfsum ;
  wire [13 : 0] \BU2/U0/_mux0003 ;
  assign
    q[13] = NlwRenamedSig_OI_q[13],
    q[12] = NlwRenamedSig_OI_q[12],
    q[11] = NlwRenamedSig_OI_q[11],
    q[10] = NlwRenamedSig_OI_q[10],
    q[9] = NlwRenamedSig_OI_q[9],
    q[8] = NlwRenamedSig_OI_q[8],
    q[7] = NlwRenamedSig_OI_q[7],
    q[6] = NlwRenamedSig_OI_q[6],
    q[5] = NlwRenamedSig_OI_q[5],
    q[4] = NlwRenamedSig_OI_q[4],
    q[3] = NlwRenamedSig_OI_q[3],
    q[2] = NlwRenamedSig_OI_q[2],
    q[1] = NlwRenamedSig_OI_q[1],
    q[0] = NlwRenamedSig_OI_q[0];
  VCC VCC_0 (
    .P(NLW_VCC_P_UNCONNECTED)
  );
  GND GND_1 (
    .G(NLW_GND_G_UNCONNECTED)
  );
  defparam \BU2/U0/_mux000232 .INIT = 16'h0080;
  LUT4_L \BU2/U0/_mux000232  (
    .I0(\BU2/U0/q_next [9]),
    .I1(\BU2/U0/q_next [8]),
    .I2(\BU2/U0/q_next [3]),
    .I3(\BU2/N87 ),
    .LO(\BU2/U0/_mux0002_map28 )
  );
  defparam \BU2/U0/_not00047 .INIT = 16'hFFFE;
  LUT4_L \BU2/U0/_not00047  (
    .I0(NlwRenamedSig_OI_q[4]),
    .I1(NlwRenamedSig_OI_q[5]),
    .I2(NlwRenamedSig_OI_q[0]),
    .I3(NlwRenamedSig_OI_q[1]),
    .LO(\BU2/U0/_not0004_map4 )
  );
  INV \BU2/U0/the_addsub/no_pipelining.the_addsub/_not00001_INV_0  (
    .I(NlwRenamedSig_OI_q[0]),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/halfsum [0])
  );
  defparam \BU2/U0/_mux0003<11>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<11>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [2]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [11])
  );
  defparam \BU2/U0/_mux0003<10>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<10>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [3]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [10])
  );
  defparam \BU2/U0/_mux0003<12>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<12>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [1]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [12])
  );
  defparam \BU2/U0/_mux0003<13>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<13>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [0]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [13])
  );
  defparam \BU2/U0/_mux0003<9>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<9>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [4]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [9])
  );
  defparam \BU2/U0/_mux0003<8>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<8>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [5]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [8])
  );
  defparam \BU2/U0/_mux0003<7>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<7>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [6]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [7])
  );
  defparam \BU2/U0/_mux0003<6>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<6>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [7]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [6])
  );
  defparam \BU2/U0/_mux0003<5>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<5>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [8]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [5])
  );
  defparam \BU2/U0/_mux0003<4>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<4>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [9]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [4])
  );
  defparam \BU2/U0/_mux0003<3>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<3>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [10]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [3])
  );
  defparam \BU2/U0/_mux0003<2>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<2>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [11]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [2])
  );
  defparam \BU2/U0/_mux0003<1>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<1>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [12]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [1])
  );
  defparam \BU2/U0/_mux0003<0>1 .INIT = 16'h4050;
  LUT4 \BU2/U0/_mux0003<0>1  (
    .I0(sclr),
    .I1(\BU2/U0/_not0004 ),
    .I2(\BU2/U0/q_next [13]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [0])
  );
  defparam \BU2/U0/_mux000232_SW0 .INIT = 16'hFF7F;
  LUT4 \BU2/U0/_mux000232_SW0  (
    .I0(\BU2/U0/q_next [2]),
    .I1(\BU2/U0/q_next [1]),
    .I2(\BU2/U0/q_next [0]),
    .I3(sclr),
    .O(\BU2/N87 )
  );
  defparam \BU2/U0/q_i_13_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_13_rt  (
    .I0(NlwRenamedSig_OI_q[13]),
    .O(\BU2/U0/q_i_13_rt_14 )
  );
  defparam \BU2/U0/q_i_12_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_12_rt  (
    .I0(NlwRenamedSig_OI_q[12]),
    .O(\BU2/U0/q_i_12_rt_2 )
  );
  defparam \BU2/U0/q_i_11_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_11_rt  (
    .I0(NlwRenamedSig_OI_q[11]),
    .O(\BU2/U0/q_i_11_rt_3 )
  );
  defparam \BU2/U0/q_i_10_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_10_rt  (
    .I0(NlwRenamedSig_OI_q[10]),
    .O(\BU2/U0/q_i_10_rt_4 )
  );
  defparam \BU2/U0/q_i_9_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_9_rt  (
    .I0(NlwRenamedSig_OI_q[9]),
    .O(\BU2/U0/q_i_9_rt_5 )
  );
  defparam \BU2/U0/q_i_8_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_8_rt  (
    .I0(NlwRenamedSig_OI_q[8]),
    .O(\BU2/U0/q_i_8_rt_6 )
  );
  defparam \BU2/U0/q_i_7_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_7_rt  (
    .I0(NlwRenamedSig_OI_q[7]),
    .O(\BU2/U0/q_i_7_rt_7 )
  );
  defparam \BU2/U0/q_i_6_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_6_rt  (
    .I0(NlwRenamedSig_OI_q[6]),
    .O(\BU2/U0/q_i_6_rt_8 )
  );
  defparam \BU2/U0/q_i_5_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_5_rt  (
    .I0(NlwRenamedSig_OI_q[5]),
    .O(\BU2/U0/q_i_5_rt_9 )
  );
  defparam \BU2/U0/q_i_4_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_4_rt  (
    .I0(NlwRenamedSig_OI_q[4]),
    .O(\BU2/U0/q_i_4_rt_10 )
  );
  defparam \BU2/U0/q_i_3_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_3_rt  (
    .I0(NlwRenamedSig_OI_q[3]),
    .O(\BU2/U0/q_i_3_rt_11 )
  );
  defparam \BU2/U0/q_i_2_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_2_rt  (
    .I0(NlwRenamedSig_OI_q[2]),
    .O(\BU2/U0/q_i_2_rt_12 )
  );
  defparam \BU2/U0/q_i_1_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_1_rt  (
    .I0(NlwRenamedSig_OI_q[1]),
    .O(\BU2/U0/q_i_1_rt_13 )
  );
  defparam \BU2/U0/_mux000250 .INIT = 16'h8000;
  LUT4 \BU2/U0/_mux000250  (
    .I0(\BU2/U0/_mux0002_map14 ),
    .I1(\BU2/U0/_mux0002_map17 ),
    .I2(\BU2/U0/_mux0002_map21 ),
    .I3(\BU2/U0/_mux0002_map28 ),
    .O(\BU2/U0/_mux0002 )
  );
  defparam \BU2/U0/_mux000216 .INIT = 8'h08;
  LUT3 \BU2/U0/_mux000216  (
    .I0(\BU2/U0/q_next [7]),
    .I1(\BU2/U0/q_next [6]),
    .I2(\BU2/U0/q_next [13]),
    .O(\BU2/U0/_mux0002_map21 )
  );
  defparam \BU2/U0/_mux00026 .INIT = 8'h08;
  LUT3 \BU2/U0/_mux00026  (
    .I0(\BU2/U0/q_next [12]),
    .I1(\BU2/U0/q_next [4]),
    .I2(\BU2/U0/q_next [5]),
    .O(\BU2/U0/_mux0002_map17 )
  );
  defparam \BU2/U0/_mux00020 .INIT = 4'h8;
  LUT2 \BU2/U0/_mux00020  (
    .I0(\BU2/U0/q_next [11]),
    .I1(\BU2/U0/q_next [10]),
    .O(\BU2/U0/_mux0002_map14 )
  );
  defparam \BU2/U0/_not000433 .INIT = 16'hFFFE;
  LUT4 \BU2/U0/_not000433  (
    .I0(\BU2/U0/_not0004_map1 ),
    .I1(\BU2/U0/_not0004_map4 ),
    .I2(\BU2/U0/_not0004_map8 ),
    .I3(\BU2/U0/_not0004_map11 ),
    .O(\BU2/U0/_not0004 )
  );
  defparam \BU2/U0/_not000423 .INIT = 16'hFFFE;
  LUT4 \BU2/U0/_not000423  (
    .I0(NlwRenamedSig_OI_q[8]),
    .I1(NlwRenamedSig_OI_q[9]),
    .I2(NlwRenamedSig_OI_q[2]),
    .I3(NlwRenamedSig_OI_q[3]),
    .O(\BU2/U0/_not0004_map11 )
  );
  defparam \BU2/U0/_not000418 .INIT = 16'hFFFE;
  LUT4 \BU2/U0/_not000418  (
    .I0(NlwRenamedSig_OI_q[10]),
    .I1(NlwRenamedSig_OI_q[11]),
    .I2(NlwRenamedSig_OI_q[6]),
    .I3(NlwRenamedSig_OI_q[7]),
    .O(\BU2/U0/_not0004_map8 )
  );
  defparam \BU2/U0/_not00042 .INIT = 4'hD;
  LUT2 \BU2/U0/_not00042  (
    .I0(NlwRenamedSig_OI_q[13]),
    .I1(NlwRenamedSig_OI_q[12]),
    .O(\BU2/U0/_not0004_map1 )
  );
  defparam \BU2/U0/_not00021 .INIT = 4'hE;
  LUT2 \BU2/U0/_not00021  (
    .I0(ce),
    .I1(sclr),
    .O(\BU2/U0/_not0002 )
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[12].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [11]),
    .LI(\BU2/U0/q_i_12_rt_2 ),
    .O(\BU2/U0/q_next [12])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[12].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [11]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_12_rt_2 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [12])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[11].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [10]),
    .LI(\BU2/U0/q_i_11_rt_3 ),
    .O(\BU2/U0/q_next [11])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[11].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [10]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_11_rt_3 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [11])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[10].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [9]),
    .LI(\BU2/U0/q_i_10_rt_4 ),
    .O(\BU2/U0/q_next [10])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[10].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [9]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_10_rt_4 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [10])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[9].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [8]),
    .LI(\BU2/U0/q_i_9_rt_5 ),
    .O(\BU2/U0/q_next [9])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[9].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [8]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_9_rt_5 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [9])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[8].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [7]),
    .LI(\BU2/U0/q_i_8_rt_6 ),
    .O(\BU2/U0/q_next [8])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[8].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [7]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_8_rt_6 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [8])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[7].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [6]),
    .LI(\BU2/U0/q_i_7_rt_7 ),
    .O(\BU2/U0/q_next [7])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[7].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [6]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_7_rt_7 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [7])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[6].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [5]),
    .LI(\BU2/U0/q_i_6_rt_8 ),
    .O(\BU2/U0/q_next [6])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[6].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [5]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_6_rt_8 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [6])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[5].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [4]),
    .LI(\BU2/U0/q_i_5_rt_9 ),
    .O(\BU2/U0/q_next [5])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[5].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [4]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_5_rt_9 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [5])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[4].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [3]),
    .LI(\BU2/U0/q_i_4_rt_10 ),
    .O(\BU2/U0/q_next [4])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[4].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [3]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_4_rt_10 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [4])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[3].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [2]),
    .LI(\BU2/U0/q_i_3_rt_11 ),
    .O(\BU2/U0/q_next [3])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[3].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [2]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_3_rt_11 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [3])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[2].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [1]),
    .LI(\BU2/U0/q_i_2_rt_12 ),
    .O(\BU2/U0/q_next [2])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[2].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [1]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_2_rt_12 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [2])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[1].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [0]),
    .LI(\BU2/U0/q_i_1_rt_13 ),
    .O(\BU2/U0/q_next [1])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[1].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [0]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_1_rt_13 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [1])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carryxortop  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [12]),
    .LI(\BU2/U0/q_i_13_rt_14 ),
    .O(\BU2/U0/q_next [13])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carryxor0  (
    .CI(\BU2/N0 ),
    .LI(\BU2/U0/the_addsub/no_pipelining.the_addsub/halfsum [0]),
    .O(\BU2/U0/q_next [0])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrymux0  (
    .CI(\BU2/N0 ),
    .DI(\BU2/q_thresh1 ),
    .S(\BU2/U0/the_addsub/no_pipelining.the_addsub/halfsum [0]),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [0])
  );
  defparam \BU2/U0/q_i_13 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_13  (
    .D(\BU2/U0/_mux0003 [0]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[13])
  );
  defparam \BU2/U0/q_i_12 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_12  (
    .D(\BU2/U0/_mux0003 [1]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[12])
  );
  defparam \BU2/U0/q_i_11 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_11  (
    .D(\BU2/U0/_mux0003 [2]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[11])
  );
  defparam \BU2/U0/q_i_10 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_10  (
    .D(\BU2/U0/_mux0003 [3]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[10])
  );
  defparam \BU2/U0/q_i_9 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_9  (
    .D(\BU2/U0/_mux0003 [4]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[9])
  );
  defparam \BU2/U0/q_i_8 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_8  (
    .D(\BU2/U0/_mux0003 [5]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[8])
  );
  defparam \BU2/U0/q_i_7 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_7  (
    .D(\BU2/U0/_mux0003 [6]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[7])
  );
  defparam \BU2/U0/q_i_6 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_6  (
    .D(\BU2/U0/_mux0003 [7]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[6])
  );
  defparam \BU2/U0/q_i_5 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_5  (
    .D(\BU2/U0/_mux0003 [8]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[5])
  );
  defparam \BU2/U0/q_i_4 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_4  (
    .D(\BU2/U0/_mux0003 [9]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[4])
  );
  defparam \BU2/U0/q_i_3 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_3  (
    .D(\BU2/U0/_mux0003 [10]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[3])
  );
  defparam \BU2/U0/q_i_2 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_2  (
    .D(\BU2/U0/_mux0003 [11]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[2])
  );
  defparam \BU2/U0/q_i_1 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_1  (
    .D(\BU2/U0/_mux0003 [12]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[1])
  );
  defparam \BU2/U0/q_i_0 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_0  (
    .D(\BU2/U0/_mux0003 [13]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[0])
  );
  defparam \BU2/U0/q_thresh0_i .INIT = 1'b0;
  FDCE \BU2/U0/q_thresh0_i  (
    .D(\BU2/U0/_mux0002 ),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(q_thresh0)
  );
  VCC \BU2/XST_VCC  (
    .P(\BU2/q_thresh1 )
  );
  GND \BU2/XST_GND  (
    .G(\BU2/N0 )
  );

// synopsys translate_on

endmodule

// synopsys translate_off

`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

    wire GSR;
    wire GTS;
    wire PRLD;

    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (weak1, weak0) GSR = GSR_int;
    assign (weak1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule

// synopsys translate_on
