////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2006 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     Version: I.31
//  \   \         Application: netgen
//  /   /         Filename: syncctr.v
// /___/   /\     Timestamp: Wed Jul 04 18:51:09 2007
// \   \  /  \ 
//  \___\/\___\
//             
// Command	: -intstyle ise -w -sim -ofmt verilog C:\Xilinx\projects\LRIT\_cg\syncctr.ngc C:\Xilinx\projects\LRIT\_cg\syncctr.v 
// Device	: 2s100pq208-5
// Input file	: C:/Xilinx/projects/LRIT/_cg/syncctr.ngc
// Output file	: C:/Xilinx/projects/LRIT/_cg/syncctr.v
// # of Modules	: 1
// Design Name	: syncctr
// Xilinx        : C:\Xilinx
//             
// Purpose:    
//     This verilog netlist is a verification model and uses simulation 
//     primitives which may not represent the true implementation of the 
//     device, however the netlist is functionally correct and should not 
//     be modified. This file cannot be synthesized and should only be used 
//     with supported simulation tools.
//             
// Reference:  
//     Development System Reference Guide, Chapter 23
//     Synthesis and Simulation Design Guide, Chapter 6
//             
////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps

module syncctr (
  sclr, aclr, ce, clk, q_thresh0, q
);
  input sclr;
  input aclr;
  input ce;
  input clk;
  output q_thresh0;
  output [6 : 0] q;
  
  // The synopsys directives "translate_off/translate_on" specified
  // below are supported by XST, FPGA Compiler II, Mentor Graphics and Synplicity
  // synthesis tools. Ensure they are correct for your synthesis tool(s)
  
  // synopsys translate_off
  
  wire \BU2/N47 ;
  wire \BU2/U0/_mux0002_map10 ;
  wire \BU2/U0/_not0004_2 ;
  wire \BU2/N6 ;
  wire \BU2/U0/q_i_5_rt_3 ;
  wire \BU2/U0/q_i_4_rt_4 ;
  wire \BU2/U0/q_i_3_rt_5 ;
  wire \BU2/U0/q_i_2_rt_6 ;
  wire \BU2/U0/q_i_1_rt_7 ;
  wire \BU2/U0/q_i_6_rt_8 ;
  wire \BU2/U0/_not0002 ;
  wire \BU2/U0/_mux0002 ;
  wire \BU2/N0 ;
  wire \BU2/q_thresh1 ;
  wire NLW_VCC_P_UNCONNECTED;
  wire NLW_GND_G_UNCONNECTED;
  wire [6 : 0] NlwRenamedSig_OI_q;
  wire [6 : 0] \BU2/U0/q_next ;
  wire [5 : 0] \BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple ;
  wire [0 : 0] \BU2/U0/the_addsub/no_pipelining.the_addsub/halfsum ;
  wire [6 : 0] \BU2/U0/_mux0003 ;
  assign
    q[6] = NlwRenamedSig_OI_q[6],
    q[5] = NlwRenamedSig_OI_q[5],
    q[4] = NlwRenamedSig_OI_q[4],
    q[3] = NlwRenamedSig_OI_q[3],
    q[2] = NlwRenamedSig_OI_q[2],
    q[1] = NlwRenamedSig_OI_q[1],
    q[0] = NlwRenamedSig_OI_q[0];
  VCC VCC_0 (
    .P(NLW_VCC_P_UNCONNECTED)
  );
  GND GND_1 (
    .G(NLW_GND_G_UNCONNECTED)
  );
  defparam \BU2/U0/_mux000231_SW0 .INIT = 8'hFE;
  LUT3_L \BU2/U0/_mux000231_SW0  (
    .I0(\BU2/U0/q_next [4]),
    .I1(\BU2/U0/q_next [3]),
    .I2(\BU2/U0/q_next [2]),
    .LO(\BU2/N47 )
  );
  defparam \BU2/U0/_not0004_SW0 .INIT = 16'hFFFE;
  LUT4_L \BU2/U0/_not0004_SW0  (
    .I0(NlwRenamedSig_OI_q[4]),
    .I1(NlwRenamedSig_OI_q[3]),
    .I2(NlwRenamedSig_OI_q[2]),
    .I3(NlwRenamedSig_OI_q[1]),
    .LO(\BU2/N6 )
  );
  INV \BU2/U0/the_addsub/no_pipelining.the_addsub/_not00001_INV_0  (
    .I(NlwRenamedSig_OI_q[0]),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/halfsum [0])
  );
  defparam \BU2/U0/_mux0003<4>1 .INIT = 16'h2030;
  LUT4 \BU2/U0/_mux0003<4>1  (
    .I0(\BU2/U0/_not0004_2 ),
    .I1(sclr),
    .I2(\BU2/U0/q_next [2]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [4])
  );
  defparam \BU2/U0/_mux0003<3>1 .INIT = 16'h2030;
  LUT4 \BU2/U0/_mux0003<3>1  (
    .I0(\BU2/U0/_not0004_2 ),
    .I1(sclr),
    .I2(\BU2/U0/q_next [3]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [3])
  );
  defparam \BU2/U0/_mux0003<2>1 .INIT = 16'h2030;
  LUT4 \BU2/U0/_mux0003<2>1  (
    .I0(\BU2/U0/_not0004_2 ),
    .I1(sclr),
    .I2(\BU2/U0/q_next [4]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [2])
  );
  defparam \BU2/U0/_mux0003<1>1 .INIT = 16'h2030;
  LUT4 \BU2/U0/_mux0003<1>1  (
    .I0(\BU2/U0/_not0004_2 ),
    .I1(sclr),
    .I2(\BU2/U0/q_next [5]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [1])
  );
  defparam \BU2/U0/_mux0003<0>1 .INIT = 16'h2030;
  LUT4 \BU2/U0/_mux0003<0>1  (
    .I0(\BU2/U0/_not0004_2 ),
    .I1(sclr),
    .I2(\BU2/U0/q_next [6]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [0])
  );
  defparam \BU2/U0/_mux0003<5>1 .INIT = 16'h2030;
  LUT4 \BU2/U0/_mux0003<5>1  (
    .I0(\BU2/U0/_not0004_2 ),
    .I1(sclr),
    .I2(\BU2/U0/q_next [1]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [5])
  );
  defparam \BU2/U0/_mux0003<6>1 .INIT = 16'h2030;
  LUT4 \BU2/U0/_mux0003<6>1  (
    .I0(\BU2/U0/_not0004_2 ),
    .I1(sclr),
    .I2(\BU2/U0/q_next [0]),
    .I3(ce),
    .O(\BU2/U0/_mux0003 [6])
  );
  defparam \BU2/U0/_mux000231 .INIT = 16'h0008;
  LUT4 \BU2/U0/_mux000231  (
    .I0(\BU2/U0/q_next [5]),
    .I1(\BU2/U0/_mux0002_map10 ),
    .I2(\BU2/U0/q_next [6]),
    .I3(\BU2/N47 ),
    .O(\BU2/U0/_mux0002 )
  );
  defparam \BU2/U0/q_i_6_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_6_rt  (
    .I0(NlwRenamedSig_OI_q[6]),
    .O(\BU2/U0/q_i_6_rt_8 )
  );
  defparam \BU2/U0/q_i_5_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_5_rt  (
    .I0(NlwRenamedSig_OI_q[5]),
    .O(\BU2/U0/q_i_5_rt_3 )
  );
  defparam \BU2/U0/q_i_4_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_4_rt  (
    .I0(NlwRenamedSig_OI_q[4]),
    .O(\BU2/U0/q_i_4_rt_4 )
  );
  defparam \BU2/U0/q_i_3_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_3_rt  (
    .I0(NlwRenamedSig_OI_q[3]),
    .O(\BU2/U0/q_i_3_rt_5 )
  );
  defparam \BU2/U0/q_i_2_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_2_rt  (
    .I0(NlwRenamedSig_OI_q[2]),
    .O(\BU2/U0/q_i_2_rt_6 )
  );
  defparam \BU2/U0/q_i_1_rt .INIT = 4'h2;
  LUT1 \BU2/U0/q_i_1_rt  (
    .I0(NlwRenamedSig_OI_q[1]),
    .O(\BU2/U0/q_i_1_rt_7 )
  );
  defparam \BU2/U0/_mux000220 .INIT = 8'h01;
  LUT3 \BU2/U0/_mux000220  (
    .I0(\BU2/U0/q_next [0]),
    .I1(sclr),
    .I2(\BU2/U0/q_next [1]),
    .O(\BU2/U0/_mux0002_map10 )
  );
  defparam \BU2/U0/_not0004 .INIT = 16'hFFEF;
  LUT4 \BU2/U0/_not0004  (
    .I0(NlwRenamedSig_OI_q[5]),
    .I1(NlwRenamedSig_OI_q[0]),
    .I2(NlwRenamedSig_OI_q[6]),
    .I3(\BU2/N6 ),
    .O(\BU2/U0/_not0004_2 )
  );
  defparam \BU2/U0/_not00021 .INIT = 4'hE;
  LUT2 \BU2/U0/_not00021  (
    .I0(ce),
    .I1(sclr),
    .O(\BU2/U0/_not0002 )
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[5].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [4]),
    .LI(\BU2/U0/q_i_5_rt_3 ),
    .O(\BU2/U0/q_next [5])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[5].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [4]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_5_rt_3 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [5])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[4].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [3]),
    .LI(\BU2/U0/q_i_4_rt_4 ),
    .O(\BU2/U0/q_next [4])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[4].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [3]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_4_rt_4 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [4])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[3].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [2]),
    .LI(\BU2/U0/q_i_3_rt_5 ),
    .O(\BU2/U0/q_next [3])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[3].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [2]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_3_rt_5 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [3])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[2].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [1]),
    .LI(\BU2/U0/q_i_2_rt_6 ),
    .O(\BU2/U0/q_next [2])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[2].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [1]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_2_rt_6 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [2])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[1].carryxor  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [0]),
    .LI(\BU2/U0/q_i_1_rt_7 ),
    .O(\BU2/U0/q_next [1])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrychaingen[1].carrymux  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [0]),
    .DI(\BU2/N0 ),
    .S(\BU2/U0/q_i_1_rt_7 ),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [1])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carryxortop  (
    .CI(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [5]),
    .LI(\BU2/U0/q_i_6_rt_8 ),
    .O(\BU2/U0/q_next [6])
  );
  XORCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carryxor0  (
    .CI(\BU2/N0 ),
    .LI(\BU2/U0/the_addsub/no_pipelining.the_addsub/halfsum [0]),
    .O(\BU2/U0/q_next [0])
  );
  MUXCY \BU2/U0/the_addsub/no_pipelining.the_addsub/i_simple_model.carrymux0  (
    .CI(\BU2/N0 ),
    .DI(\BU2/q_thresh1 ),
    .S(\BU2/U0/the_addsub/no_pipelining.the_addsub/halfsum [0]),
    .O(\BU2/U0/the_addsub/no_pipelining.the_addsub/carry_simple [0])
  );
  defparam \BU2/U0/q_i_6 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_6  (
    .D(\BU2/U0/_mux0003 [0]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[6])
  );
  defparam \BU2/U0/q_i_5 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_5  (
    .D(\BU2/U0/_mux0003 [1]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[5])
  );
  defparam \BU2/U0/q_i_4 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_4  (
    .D(\BU2/U0/_mux0003 [2]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[4])
  );
  defparam \BU2/U0/q_i_3 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_3  (
    .D(\BU2/U0/_mux0003 [3]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[3])
  );
  defparam \BU2/U0/q_i_2 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_2  (
    .D(\BU2/U0/_mux0003 [4]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[2])
  );
  defparam \BU2/U0/q_i_1 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_1  (
    .D(\BU2/U0/_mux0003 [5]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[1])
  );
  defparam \BU2/U0/q_i_0 .INIT = 1'b0;
  FDCE \BU2/U0/q_i_0  (
    .D(\BU2/U0/_mux0003 [6]),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(NlwRenamedSig_OI_q[0])
  );
  defparam \BU2/U0/q_thresh0_i .INIT = 1'b0;
  FDCE \BU2/U0/q_thresh0_i  (
    .D(\BU2/U0/_mux0002 ),
    .CE(\BU2/U0/_not0002 ),
    .CLR(aclr),
    .C(clk),
    .Q(q_thresh0)
  );
  VCC \BU2/XST_VCC  (
    .P(\BU2/q_thresh1 )
  );
  GND \BU2/XST_GND  (
    .G(\BU2/N0 )
  );

// synopsys translate_on

endmodule

// synopsys translate_off

`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

    wire GSR;
    wire GTS;
    wire PRLD;

    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (weak1, weak0) GSR = GSR_int;
    assign (weak1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule

// synopsys translate_on
